Bio::Tools::Run::PiseApplication::CSR(3)

NAME
Bio::Tools::Run::PiseApplication::CSR

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::CSR

      Bioperl class for:

        CSR     Maximal Common 3D Substructure Searching (M.Petitjean)

        References:

                M.Petitjean, Interactive Maximal Common 3D Substructure Searching with the Combined SDM/RMS Algorithm. Comput.Chem.1998,22[6],pp.463-465.

      Parameters:

                CSR (String)

                param (Results)

                endparams (String)

                pdbfile (InFile)
                        File containing both molecules
                        pipe: pdbfile

                file_format (Excl)
                        Input file format

                imol1 (Integer)
                        Position of the 1st molecule in the file (IMOL1)

                imol2 (Integer)
                        Position of the 2d molecule in the file (IMOL2)

                itermx (Integer)
                        How many iterations (ITERMX)

                cutoff (Excl)
                        Cutoff distance (CUT-OFF DIST)

                substructure (OutFile)

                pdb_outfile (Results)

                        pipe: pdbfile

  new
 Title   : new()
 Usage   : my $CSR = Bio::Tools::Run::PiseApplication::CSR->new($remote, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::CSR object.
           This method should not be used directly, but rather by
           a Bio::Factory::Pise instance:
           my $factory = Bio::Factory::Pise->new(-email => 'me@myhome');
           my $CSR = $factory->program('CSR');
 Example :
 Returns : An instance of Bio::Tools::Run::PiseApplication::CSR.